%
% @file    	trajectory_generator.m
% @author  	Luca Fanni lfanni@uniss.it
% @author	Claudio Rubattu crubattu@uniss.it
% @author  	Francesca Palumbo fpalumbo@uniss.it
%
% @brief   	main matlabl script for the calculation of a Classic DLS 
%			trajectory, with an intermediate point (trajectory can be 
%			divided into two segments)
%
% Copyright (c) 2019, Università degli Studi di Sassari
%
% Redistribution and use in source and binary forms, with or without modification, 
% are permitted provided that the following conditions are met:
%
% 1. Redistributions of source code must retain the above copyright notice, this 
% list of conditions and the following disclaimer.
%
% 2. Redistributions in binary form must reproduce the above copyright notice, 
% this list of conditions and the following disclaimer in the documentation and/or 
% other materials provided with the distribution.
%
% 3. Neither the name of the copyright holder nor the names of its contributors may
% be used to endorse or promote products derived from this software without specific 
% prior written permission.
%
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
% EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
% OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT 
% SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
% SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
% OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
% HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR 
% TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
% EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
%


function [ThetaOut]=DLS_2seg(lambda,iter1,iter2,thetaIn,adj,Wpos1,Wpos2)

ThetaOut=zeros(2,4);

ThetaOut(1,:)=DLS(iter1,lambda,Wpos1,thetaIn(1),thetaIn(2),thetaIn(3),thetaIn(4));
ThetaOut(2,:)=DLS(iter2,lambda,Wpos2,ThetaOut(1,1),pi/2-ThetaOut(1,2),-ThetaOut(1,3),-ThetaOut(1,4));

end
